#pragma once
#include "sqlite3.h"

class CSqliteUtil
{
public:
	~CSqliteUtil(void);
	static CSqliteUtil* instance();
	void init();
	
	
	void close();

	char **read_all(int *row, int *column);
	BOOL exist(const CString& path);
	void clear(char **result);
private:
	void open();

	CSqliteUtil(void);
private:
	sqlite3 *mDatebaase;
	static CSqliteUtil* mInstance;
};

